// 新增商户时 需要在prod_brand_config 配置相应的信息 key是商户Id

// 发生产环境配置流程
// PROJECT_ENV 修改 为 prod 
// project.config.json 中appId 更换为生成
// 修改 BRANCH_ID 为对应的商户id
// app.js 中brandId 修改为对应

const PROJECT_ENV = 'prod' // 生产 prod, 开发 dev, 测试 test , 测试门户 test_store, 预生产 pre
//仅生产环境时 配置 ： 
//3001 3001 ,  wx313ec36b710125d4 有直播
//2006 泰华 , wx40fec8944623c8b3 有直播
//2007 多多一上 , wxf7bc302c51166dc0 有直播
//2012 悦芙媞  wxfe14ebde4a6eea3d 有直播

//2008 雪岛书屋  wx207f8a95bbc9d3ab
//2003 苏州邻里 , wxe7770946f9d93d38
//2010 热风 wxe6d270a3e399ade9
//2009 拉如 wxa0db9cb42b1cbdc9
//2013  阿特里里
//2014 包鞋
//2015 花在花园  wx8a35f9a57afd13e9 
//2016 阿吉豆 
//2017 ACTREE wx2aae34874e88cdf5
//2992 山东盛联微商城 wx53dedc202ae0d0c2
//2002 巴黎贝甜 wx21968cb3a486d4ab

const BRANCH_ID = 2010
const isMall = true

// const needMock = '' //
// 舞象联系我 ：766c50920993bf9c41c6c3d2761a2df5
//泰华 联系我 ：6e4314d558e55fbc64fe2e757e24d61f

//配置信息 
/** ***********************************开发环境************************************ */
//舞象开发环境
/**
 * appId = wxc3b64b09b1d3dfc2
 * tunnel-token = brand1001
 * brandId = 1001
 */
/** ***********************************测试环境************************************ */
/**
 * 舞象测试环境1
 * appId = wx857ea77f4f7f4f34
 * tunnel-token = aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD
 * brandId = 1002
 */

/**
 * 舞象测试环境2 常用
 * appId = wxac09792264c49b5c
 * tunnel-token = aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD
 * brandId = 1002
 */
// 拥有直播功能的商户 3001 泰华  多多一上 悦芙提
/** ***********************************生产环境配置信息************************************ */
const prod_brand_config = {
  //3001舞象
  3001 : {
    appId: 'wx313ec36b710125d4',// 小程序AppID
    tunnelToken: 'd6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8',//商户默认token
    brandId: 3001,//商户ID
    plusIsOpen: true, //下单和下单状态界面是否显示购买plus
    contactUsIsOpen: true,//是否开启联系我
    contactUsPluginId: '766c50920993bf9c41c6c3d2761a2df5',//联系我们插件PluginID
    hasTrial: false, // 是否有体验账号
    hasLiveVideo: true,//是否有直播功能
    isMall: isMall,// 商城或门户 true 商城 false 门户
    orderingMustOpenCard : false, //下单是否必须卡开
    canUseWechatAddress: false,//是否使用获取微信地址
    touchPointStorageTime : 30*60*1000,//单位毫秒
    isOpenSelfMention : true, // 是否开启门店自提
    canRefundDaysAfterDelivery : 15,//发货后多少天之内可显示申请退款按钮
    isNeedGetLocation : true,//是否开启小程序获取位置（提交订单时获取门店信息）
    guiderCanScanQrcode : true,//导购是否有扫一扫功能
    shareTitle: '【舞象星品荟-社交商城】',
    themeColor: '#cb3c3c',//主题颜色
    logo: 'https://img3.bigaka.com/prd/3001/202003/20200331/3001842823fb-2601-4b58-a648-79ad799ad425.png',
    openRefundTips : true,//是否开启退货须知显示
    refundTips : '温馨提示：退货通过审核后需将清单随包裹一起寄回或纸条备注（订单号与退货商品款号）【请务必审核通过后24小时内填写寄回运单号,拒签到付/顺丰/EMS/天天快递 不影响二次销售】',//退货须知文本 
    //wx654ce96a7324e76f 小程序微信支付券
  },
  
  //热风
  2010 : {
    appId: 'wxe6d270a3e399ade9',
    tunnelToken: '3c66e77863736a32380a5d683db3520b',
    brandId: 2010,
    plusIsOpen: false,
    contactUsIsOpen: false,
    contactUsPluginId: 'f86b306023ec790b70c0b45fcf308b04',
    hasTrial: false,
    isMall: isMall,
    hasLiveVideo: false,//是否有直播功能
    canUseWechatAddress: false,//是否使用获取微信地址
    orderingMustOpenCard: false,
    themeColor: '#007d63',//主题颜色
    touchPointStorageTime: 48 * 60 * 60 * 1000,//单位毫秒
    guiderCanScanQrcode: false,//导购是否有扫一扫功能
    canRefundDaysAfterDelivery: 15,//发货后多少天之内可显示申请退款按钮
    isOpenSelfMention: false, // 是否开启门店自提
    isNeedGetLocation: false,//是否开启小程序获取位置（提交订单时获取门店信息）
    shareTitle: '【hotwind热风微商城】',
    logo: 'https://img3.bigaka.com/prd/3001/202003/20200331/3001377a0bb9-8f7f-4b40-8966-9fc5f8a69cdd.png',
    openRefundTips : true,//是否开启退货须知显示
    refundTips : '温馨提示：退货通过审核后需将清单随包裹一起寄回或纸条备注（订单号与退货商品款号）【请务必审核通过后24小时内填写寄回运单号,拒签到付/顺丰/EMS/天天快递 不影响二次销售】',//退货须知文本 
  }

 
}

//默认分享logo
const defaultShareLogo = 'https://img3.bigaka.com/prd/3001/202003/20200331/3001842823fb-2601-4b58-a648-79ad799ad425.png';
//推广商品页面banner 
const speadProductsBanner = 'https://img3.bigaka.com/prd/3001/202003/20200331/30012d0886ca-a722-4f3a-ae64-ca2ffd3651a5.jpg';



// 开启联系我时 app.json plugin中添加此代码
// "contactPlugin": {
//   "version": "1.0.12",
//     "provider": "wx104a1a20c3f81ec2"
// }

//需要直播功能时 配置 app.json plugin中增加代码
// "live-player-plugin": {
//   "version": "1.0.2",
//     "provider": "wx2b03c6e691cd7370"
// }

// appid_dev_wx   wxc3b64b09b1d3dfc2 
// appid_test_wx  wx857ea77f4f7f4f34//  wxac09792264c49b5c // 1002商城
// appid_pre_711  wx358b56af62edbde1 tunnel-token: d6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8
// appid_prod_711  wx700028bf32a3be66 tunnel-token: d6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8

// appid_prod_3001 wx313ec36b710125d4 
// 3001测试商城 tunnel-token: d6db651f8b9c7db4176465accfc1c913843fd9ad328cd5f4fe201d918072c9e8 brandId : 3001

//泰华 appid : wx40fec8944623c8b3 brandId : 2006 tunnel-token : 8724303981a00b56869f3d26f7a6c643


// 1 2 3 4步!!!!!!!!!!!!!!!!!!!!!!  prod appid brandId tunnel-token

// const devCtx = 'http://111.231.86.64'
const devCtx = 'http://buyer.devapi.bigaka.net' // 开发环境 1
// const devCtx = 'http://dev-sellerapi.bigaka.net' // 开发环境 2
const testCtx = 'https://crm-b.bigaka.net/api' // 发测试时解开此注释
const preCtx = 'https://crm-b.bigaka.com/api' // 发预生产时解开此注释
const prodCtx = 'https://crm-b.bigaka.com/api' // 发生产时解开此注释

const devImgCtx = 'https://img3.bigaka.com/test' // 开发环境图片地址
const testImgCtx = 'https://img3.bigaka.com/test' // 测试环境图片地址
const preImgCtx = 'https://img3.bigaka.com/test' // 预生产环境图片地址
const prodImgCtx = 'https://img3.bigaka.com/prd' // 生产环境图片地址
// const prodImgCtx = 'https://img3.bigaka.com' // 生产环境图片地址

const config = {
  dev: devCtx,
  test: testCtx,
  test_store: testCtx,
  pre: preCtx,
  prod: prodCtx
}

const appId = {
  dev: 'wxc3b64b09b1d3dfc2',//appid_dev_wx
  test: 'wxac09792264c49b5c',//appid_test_wx 1002商城
  test_store: 'wx857ea77f4f7f4f34',//appid_test_wx 1002商城
  pre: 'wxac09792264c49b5c',//appid_test_wx 1002商城
}

const imgConfig = {
  dev: devImgCtx,
  test: testImgCtx,
  test_store: testImgCtx,
  pre: preImgCtx,
  prod: prodImgCtx
}

const token = {
  dev: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588fcc33', //开发
  test: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //测试
  test_store: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //测试
  pre: 'aa8a1bfb7f6c5031d172d94b6574293ef954a6f2d4e16657da008e0cc15588feD', //预生产
}

//获取配置信息
let brandId = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].brandId : (PROJECT_ENV == 'dev' ? 1001 : 1002);
let fixed_appId = PROJECT_ENV == 'prod' ? 
(isMall ? prod_brand_config[BRANCH_ID].appId : prod_brand_config[BRANCH_ID].storeAppId) : appId[PROJECT_ENV];
let tunnelToken = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].tunnelToken : token[PROJECT_ENV];
let plusIsOpen = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].plusIsOpen : true;
let contactUsPluginId = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].contactUsPluginId : '766c50920993bf9c41c6c3d2761a2df5';
let contactUsIsOpen = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].contactUsIsOpen : true;
let hasTrial = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].hasTrial : true;
let fixed_IsMall = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].isMall : isMall;
let orderingMustOpenCard = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].orderingMustOpenCard : false;
let isOpenSelfMention = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].isOpenSelfMention : true;
let shareTitle = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].shareTitle : '舞象商城';
let shareLogo = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].logo : defaultShareLogo;
let isNeedGetLocation = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].isNeedGetLocation : true;
let canUseWechatAddress = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].canUseWechatAddress : true;
let hasLiveVideo = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].hasLiveVideo : false;
let guiderCanScanQrcode = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].guiderCanScanQrcode : true;
let canRefundDaysAfterDelivery = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].canRefundDaysAfterDelivery : 15;
let touchPointStorageTime = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].touchPointStorageTime : 1800000;
let openRefundTips = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].openRefundTips : true;
let refundTips = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].refundTips : '温馨提示：退货通过审核后需将清单随包裹一起寄回或纸条备注（订单号与退货商品款号）【请务必审核通过后24小时内填写寄回运单号,拒签到付/顺丰/EMS/天天快递 不影响二次销售】';

let themeColor = PROJECT_ENV == 'prod' ? prod_brand_config[BRANCH_ID].themeColor : '#cb3c3c'; 
//配置信息导出
const envInfo = (() => {
  return {
    ctx: config[PROJECT_ENV],
    env: PROJECT_ENV,
    imgCtx: imgConfig[PROJECT_ENV],
    tunnelToken: tunnelToken,
    appId: fixed_appId,
    brandId: brandId,// 1001 1002 3001 3002 //2711 711生产brandId,
    plusIsOpen: plusIsOpen, //是否开启plus
    contactUsPluginId: contactUsPluginId,
    contactUsIsOpen: contactUsIsOpen,//是否开启联系我
    hasTrial: hasTrial , //是否开启体验者功能
    isMall: fixed_IsMall,//商城和门户区分 门户时 false; 商城 true
    orderingMustOpenCard: orderingMustOpenCard,//下单时是否强校验必须开卡 true 必须开卡才可下单 false 不开卡可以下单
    isOpenSelfMention: isOpenSelfMention,//门店是否开启门店自提功能
    shareTitle: shareTitle,
    isNeedGetLocation: isNeedGetLocation,
    shareLogo: shareLogo,
    speadProductsBanner: speadProductsBanner,
    canUseWechatAddress: canUseWechatAddress,
    hasLiveVideo: hasLiveVideo,
    guiderCanScanQrcode: guiderCanScanQrcode,
    canRefundDaysAfterDelivery: canRefundDaysAfterDelivery,
    touchPointStorageTime: touchPointStorageTime,
    openRefundTips : openRefundTips,
    refundTips : refundTips,
    themeColor : themeColor,
  }
})()

module.exports = {
  envInfo
}
